Request a Let's Encrypt Certificate for a legacy domain
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/example/domains/example/ssl_certificate"
payload := strings.NewReader("{ \"email_address\": \"jane@example.com\", \"given_name\": \"Jane\", \"family_name\": \"Doe\", \"region_code\": \"US\", \"state\": \"Texas\", \"city\": \"Austin\", \"phone\": \"800-123-4567\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <credentials>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/example/domains/example/ssl_certificate';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"email_address":"jane@example.com","given_name":"Jane","family_name":"Doe","region_code":"US","state":"Texas","city":"Austin","phone":"800-123-4567"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wpengineapi.com/v1/installs/example/domains/example/ssl_certificate \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "email_address": "jane@example.com", "given_name": "Jane", "family_name": "Doe", "region_code": "US", "state": "Texas", "city": "Austin", "phone": "800-123-4567" }'Submits a request for a Let’s Encrypt Certificate for a given domain on an install. This is for domains on the legacy network.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID of install
ID of domain
Request Body
Section titled “Request Body”Properties
- email_address - required - The certificate’s holder’s email address
- given_name - required - The certificate holder’s first / given name
- family_name - required - The certificate holder’s last / family name
- region_code - required - The two-letter ISO 3166-1 alpha-2 code for the certificate’s country
- state - optional - The certificate’s state / region
- city - optional - The certificate’s city / locality
- phone - optional - The certificate holder’s phone number
object
The certificate’s holder’s email address
Example
jane@example.comThe certificate holder’s first / given name
Example
JaneThe certificate holder’s last / family name
Example
DoeThe two-letter ISO 3166-1 alpha-2 code for the certificate’s country
Example
USThe certificate’s state/region
Example
TexasThe certificate’s city/locality
Example
AustinThe certificate holder’s phone number
Example
800-123-4567Responses
Section titled “Responses”Accepted. Order has been accepted for processing.
Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal server error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}Service unavailable